#See https://aka.ms/customizecontainer to learn how to customize your debug container and how Visual Studio uses this Dockerfile to build your images for faster debugging.

FROM 10.99.253.167:8090/dotnet/runtime:7.0 AS base
WORKDIR /app

FROM 10.99.253.167:8090/dotnet/sdk:7.0 AS build
ARG BUILD_CONFIGURATION=Release
WORKDIR /src
COPY ["NuGet.config", "."]
COPY ["PARR.NextRunWorker/PARR.NextRunWorker.csproj", "PARR.NextRunWorker/"]
COPY ["PARR.NextRun/PARR.NextRun.csproj", "PARR.NextRun/"]
COPY ["PARR.BLL/PARR.BLL.csproj", "PARR.BLL/"]
COPY ["PARR.DAL/PARR.DAL.csproj", "PARR.DAL/"]
COPY ["PARR.Constants/PARR.Constants.csproj", "PARR.Constants/"]
COPY ["PARR.Common/PARR.Common.csproj", "PARR.Common/"]
RUN dotnet restore "./PARR.NextRunWorker/./PARR.NextRunWorker.csproj"
COPY . .
WORKDIR "/src/PARR.NextRunWorker"
RUN dotnet build "./PARR.NextRunWorker.csproj" -c $BUILD_CONFIGURATION -o /app/build

FROM build AS publish
ARG app_version=0.0.0-default
ARG BUILD_CONFIGURATION=Release
RUN dotnet publish "./PARR.NextRunWorker.csproj" -c $BUILD_CONFIGURATION -o /app/publish /p:UseAppHost=false /p:Version=$app_version

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "PARR.NextRunWorker.dll"]